
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testcaseId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="stepName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="expectedResult" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="inputData" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="udfInfo" type="{http://www.wso2.org/php/xsd}KeyValuePair" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "token",
    "testcaseId",
    "stepName",
    "stepDesc",
    "expectedResult",
    "inputData",
    "udfInfo"
})
@XmlRootElement(name = "createTestCaseStep")
public class CreateTestCaseStep {

    @XmlElement(required = true)
    protected String token;
    protected int testcaseId;
    @XmlElement(required = true)
    protected String stepName;
    @XmlElement(required = true)
    protected String stepDesc;
    @XmlElement(required = true)
    protected String expectedResult;
    @XmlElement(required = true)
    protected String inputData;
    protected List<KeyValuePair> udfInfo;

    /**
     * Gets the value of the token property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToken() {
        return token;
    }

    /**
     * Sets the value of the token property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToken(String value) {
        this.token = value;
    }

    /**
     * Gets the value of the testcaseId property.
     * 
     */
    public int getTestcaseId() {
        return testcaseId;
    }

    /**
     * Sets the value of the testcaseId property.
     * 
     */
    public void setTestcaseId(int value) {
        this.testcaseId = value;
    }

    /**
     * Gets the value of the stepName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepName() {
        return stepName;
    }

    /**
     * Sets the value of the stepName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepName(String value) {
        this.stepName = value;
    }

    /**
     * Gets the value of the stepDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepDesc() {
        return stepDesc;
    }

    /**
     * Sets the value of the stepDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepDesc(String value) {
        this.stepDesc = value;
    }

    /**
     * Gets the value of the expectedResult property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExpectedResult() {
        return expectedResult;
    }

    /**
     * Sets the value of the expectedResult property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExpectedResult(String value) {
        this.expectedResult = value;
    }

    /**
     * Gets the value of the inputData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInputData() {
        return inputData;
    }

    /**
     * Sets the value of the inputData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInputData(String value) {
        this.inputData = value;
    }

    /**
     * Gets the value of the udfInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the udfInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUdfInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValuePair }
     * 
     * 
     */
    public List<KeyValuePair> getUdfInfo() {
        if (udfInfo == null) {
            udfInfo = new ArrayList<KeyValuePair>();
        }
        return this.udfInfo;
    }

}
