
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testsuiteName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testsuiteDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="parentFolderId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="udfInfo" type="{http://www.wso2.org/php/xsd}KeyValuePair" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "token",
    "testsuiteName",
    "testsuiteDesc",
    "parentFolderId",
    "udfInfo"
})
@XmlRootElement(name = "createTestSuite")
public class CreateTestSuite {

    @XmlElement(required = true)
    protected String token;
    @XmlElement(required = true)
    protected String testsuiteName;
    @XmlElement(required = true)
    protected String testsuiteDesc;
    protected int parentFolderId;
    protected List<KeyValuePair> udfInfo;

    /**
     * Gets the value of the token property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToken() {
        return token;
    }

    /**
     * Sets the value of the token property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToken(String value) {
        this.token = value;
    }

    /**
     * Gets the value of the testsuiteName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestsuiteName() {
        return testsuiteName;
    }

    /**
     * Sets the value of the testsuiteName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestsuiteName(String value) {
        this.testsuiteName = value;
    }

    /**
     * Gets the value of the testsuiteDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestsuiteDesc() {
        return testsuiteDesc;
    }

    /**
     * Sets the value of the testsuiteDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestsuiteDesc(String value) {
        this.testsuiteDesc = value;
    }

    /**
     * Gets the value of the parentFolderId property.
     * 
     */
    public int getParentFolderId() {
        return parentFolderId;
    }

    /**
     * Sets the value of the parentFolderId property.
     * 
     */
    public void setParentFolderId(int value) {
        this.parentFolderId = value;
    }

    /**
     * Gets the value of the udfInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the udfInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUdfInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValuePair }
     * 
     * 
     */
    public List<KeyValuePair> getUdfInfo() {
        if (udfInfo == null) {
            udfInfo = new ArrayList<KeyValuePair>();
        }
        return this.udfInfo;
    }

}
