
package com.qmetry.webservices;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.qmetry.webservices package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.qmetry.webservices
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ListProjectsResponse }
     * 
     */
    public ListProjectsResponse createListProjectsResponse() {
        return new ListProjectsResponse();
    }

    /**
     * Create an instance of {@link UserDefinedFieldDefination }
     * 
     */
    public UserDefinedFieldDefination createUserDefinedFieldDefination() {
        return new UserDefinedFieldDefination();
    }

    /**
     * Create an instance of {@link UpdateSchedulerCommentsResponse }
     * 
     */
    public UpdateSchedulerCommentsResponse createUpdateSchedulerCommentsResponse() {
        return new UpdateSchedulerCommentsResponse();
    }

    /**
     * Create an instance of {@link CreatePlatform }
     * 
     */
    public CreatePlatform createCreatePlatform() {
        return new CreatePlatform();
    }

    /**
     * Create an instance of {@link AssignProject }
     * 
     */
    public AssignProject createAssignProject() {
        return new AssignProject();
    }

    /**
     * Create an instance of {@link DownloadAttachmentResponse }
     * 
     */
    public DownloadAttachmentResponse createDownloadAttachmentResponse() {
        return new DownloadAttachmentResponse();
    }

    /**
     * Create an instance of {@link DownloadAttachment }
     * 
     */
    public DownloadAttachment createDownloadAttachment() {
        return new DownloadAttachment();
    }

    /**
     * Create an instance of {@link SetBuildResponse }
     * 
     */
    public SetBuildResponse createSetBuildResponse() {
        return new SetBuildResponse();
    }

    /**
     * Create an instance of {@link GetTestCasesFromDefectId }
     * 
     */
    public GetTestCasesFromDefectId createGetTestCasesFromDefectId() {
        return new GetTestCasesFromDefectId();
    }

    /**
     * Create an instance of {@link GetTestSuiteByIdResponse }
     * 
     */
    public GetTestSuiteByIdResponse createGetTestSuiteByIdResponse() {
        return new GetTestSuiteByIdResponse();
    }

    /**
     * Create an instance of {@link GetBuildResponse }
     * 
     */
    public GetBuildResponse createGetBuildResponse() {
        return new GetBuildResponse();
    }

    /**
     * Create an instance of {@link ListTestCasesResponse }
     * 
     */
    public ListTestCasesResponse createListTestCasesResponse() {
        return new ListTestCasesResponse();
    }

    /**
     * Create an instance of {@link TestCaseExecution }
     * 
     */
    public TestCaseExecution createTestCaseExecution() {
        return new TestCaseExecution();
    }

    /**
     * Create an instance of {@link GetRelease }
     * 
     */
    public GetRelease createGetRelease() {
        return new GetRelease();
    }

    /**
     * Create an instance of {@link GetTestCasesFromJiraDefectId }
     * 
     */
    public GetTestCasesFromJiraDefectId createGetTestCasesFromJiraDefectId() {
        return new GetTestCasesFromJiraDefectId();
    }

    /**
     * Create an instance of {@link GetTestCasesFromDefectIdResponse }
     * 
     */
    public GetTestCasesFromDefectIdResponse createGetTestCasesFromDefectIdResponse() {
        return new GetTestCasesFromDefectIdResponse();
    }

    /**
     * Create an instance of {@link CreateReleaseBuild }
     * 
     */
    public CreateReleaseBuild createCreateReleaseBuild() {
        return new CreateReleaseBuild();
    }

    /**
     * Create an instance of {@link CreateReleaseBuildResponse }
     * 
     */
    public CreateReleaseBuildResponse createCreateReleaseBuildResponse() {
        return new CreateReleaseBuildResponse();
    }

    /**
     * Create an instance of {@link QMetryVersionResponse }
     * 
     */
    public QMetryVersionResponse createQMetryVersionResponse() {
        return new QMetryVersionResponse();
    }

    /**
     * Create an instance of {@link GetTestCaseRunIds }
     * 
     */
    public GetTestCaseRunIds createGetTestCaseRunIds() {
        return new GetTestCaseRunIds();
    }

    /**
     * Create an instance of {@link GetTestCaseRunIdsResponse }
     * 
     */
    public GetTestCaseRunIdsResponse createGetTestCaseRunIdsResponse() {
        return new GetTestCaseRunIdsResponse();
    }

    /**
     * Create an instance of {@link UpdateTestSuite }
     * 
     */
    public UpdateTestSuite createUpdateTestSuite() {
        return new UpdateTestSuite();
    }

    /**
     * Create an instance of {@link TestSuiteExecution }
     * 
     */
    public TestSuiteExecution createTestSuiteExecution() {
        return new TestSuiteExecution();
    }

    /**
     * Create an instance of {@link WsSearchDropsResponse }
     * 
     */
    public WsSearchDropsResponse createWsSearchDropsResponse() {
        return new WsSearchDropsResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseUsingRunId }
     * 
     */
    public ExecuteTestCaseUsingRunId createExecuteTestCaseUsingRunId() {
        return new ExecuteTestCaseUsingRunId();
    }

    /**
     * Create an instance of {@link GetRequirementByIdResponse }
     * 
     */
    public GetRequirementByIdResponse createGetRequirementByIdResponse() {
        return new GetRequirementByIdResponse();
    }

    /**
     * Create an instance of {@link AttachmentEntity }
     * 
     */
    public AttachmentEntity createAttachmentEntity() {
        return new AttachmentEntity();
    }

    /**
     * Create an instance of {@link GetProject }
     * 
     */
    public GetProject createGetProject() {
        return new GetProject();
    }

    /**
     * Create an instance of {@link ListAttachments }
     * 
     */
    public ListAttachments createListAttachments() {
        return new ListAttachments();
    }

    /**
     * Create an instance of {@link DeleteTestCaseResponse }
     * 
     */
    public DeleteTestCaseResponse createDeleteTestCaseResponse() {
        return new DeleteTestCaseResponse();
    }

    /**
     * Create an instance of {@link KeyValuePair }
     * 
     */
    public KeyValuePair createKeyValuePair() {
        return new KeyValuePair();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseStepsResponse }
     * 
     */
    public ExecuteTestCaseStepsResponse createExecuteTestCaseStepsResponse() {
        return new ExecuteTestCaseStepsResponse();
    }

    /**
     * Create an instance of {@link LinkTestCaseWithTestSuiteResponse }
     * 
     */
    public LinkTestCaseWithTestSuiteResponse createLinkTestCaseWithTestSuiteResponse() {
        return new LinkTestCaseWithTestSuiteResponse();
    }

    /**
     * Create an instance of {@link SetTestSuiteEndTime }
     * 
     */
    public SetTestSuiteEndTime createSetTestSuiteEndTime() {
        return new SetTestSuiteEndTime();
    }

    /**
     * Create an instance of {@link ListCustomizedList }
     * 
     */
    public ListCustomizedList createListCustomizedList() {
        return new ListCustomizedList();
    }

    /**
     * Create an instance of {@link UpdateTestCase }
     * 
     */
    public UpdateTestCase createUpdateTestCase() {
        return new UpdateTestCase();
    }

    /**
     * Create an instance of {@link GetRequirementById }
     * 
     */
    public GetRequirementById createGetRequirementById() {
        return new GetRequirementById();
    }

    /**
     * Create an instance of {@link SetProject }
     * 
     */
    public SetProject createSetProject() {
        return new SetProject();
    }

    /**
     * Create an instance of {@link GetBuild }
     * 
     */
    public GetBuild createGetBuild() {
        return new GetBuild();
    }

    /**
     * Create an instance of {@link CreateUserResponse }
     * 
     */
    public CreateUserResponse createCreateUserResponse() {
        return new CreateUserResponse();
    }

    /**
     * Create an instance of {@link DeleteTestCase }
     * 
     */
    public DeleteTestCase createDeleteTestCase() {
        return new DeleteTestCase();
    }

    /**
     * Create an instance of {@link ListTestCases }
     * 
     */
    public ListTestCases createListTestCases() {
        return new ListTestCases();
    }

    /**
     * Create an instance of {@link ExecuteTestCase }
     * 
     */
    public ExecuteTestCase createExecuteTestCase() {
        return new ExecuteTestCase();
    }

    /**
     * Create an instance of {@link TestCaseRunDetails }
     * 
     */
    public TestCaseRunDetails createTestCaseRunDetails() {
        return new TestCaseRunDetails();
    }

    /**
     * Create an instance of {@link ListRequirementsFromFolderId }
     * 
     */
    public ListRequirementsFromFolderId createListRequirementsFromFolderId() {
        return new ListRequirementsFromFolderId();
    }

    /**
     * Create an instance of {@link GetScopeResponse }
     * 
     */
    public GetScopeResponse createGetScopeResponse() {
        return new GetScopeResponse();
    }

    /**
     * Create an instance of {@link ListRequirementsResponse }
     * 
     */
    public ListRequirementsResponse createListRequirementsResponse() {
        return new ListRequirementsResponse();
    }

    /**
     * Create an instance of {@link GetTestcaseStepsStausByPlatform }
     * 
     */
    public GetTestcaseStepsStausByPlatform createGetTestcaseStepsStausByPlatform() {
        return new GetTestcaseStepsStausByPlatform();
    }

    /**
     * Create an instance of {@link SetProjectResponse }
     * 
     */
    public SetProjectResponse createSetProjectResponse() {
        return new SetProjectResponse();
    }

    /**
     * Create an instance of {@link SetTestSuiteStartTimeResponse }
     * 
     */
    public SetTestSuiteStartTimeResponse createSetTestSuiteStartTimeResponse() {
        return new SetTestSuiteStartTimeResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseStepWithResult }
     * 
     */
    public ExecuteTestCaseStepWithResult createExecuteTestCaseStepWithResult() {
        return new ExecuteTestCaseStepWithResult();
    }

    /**
     * Create an instance of {@link TestCaseElements }
     * 
     */
    public TestCaseElements createTestCaseElements() {
        return new TestCaseElements();
    }

    /**
     * Create an instance of {@link GetReleaseResponse }
     * 
     */
    public GetReleaseResponse createGetReleaseResponse() {
        return new GetReleaseResponse();
    }

    /**
     * Create an instance of {@link TestSuiteRunByPlatform }
     * 
     */
    public TestSuiteRunByPlatform createTestSuiteRunByPlatform() {
        return new TestSuiteRunByPlatform();
    }

    /**
     * Create an instance of {@link CreatePlatformResponse }
     * 
     */
    public CreatePlatformResponse createCreatePlatformResponse() {
        return new CreatePlatformResponse();
    }

    /**
     * Create an instance of {@link TestSuitePlatformExecutions }
     * 
     */
    public TestSuitePlatformExecutions createTestSuitePlatformExecutions() {
        return new TestSuitePlatformExecutions();
    }

    /**
     * Create an instance of {@link ListProjects }
     * 
     */
    public ListProjects createListProjects() {
        return new ListProjects();
    }

    /**
     * Create an instance of {@link CreateScheduleResponse }
     * 
     */
    public CreateScheduleResponse createCreateScheduleResponse() {
        return new CreateScheduleResponse();
    }

    /**
     * Create an instance of {@link AddTestLog }
     * 
     */
    public AddTestLog createAddTestLog() {
        return new AddTestLog();
    }

    /**
     * Create an instance of {@link ListUsersResponse }
     * 
     */
    public ListUsersResponse createListUsersResponse() {
        return new ListUsersResponse();
    }

    /**
     * Create an instance of {@link ListFoldersFromParentIdResponse }
     * 
     */
    public ListFoldersFromParentIdResponse createListFoldersFromParentIdResponse() {
        return new ListFoldersFromParentIdResponse();
    }

    /**
     * Create an instance of {@link WsSearchDrops }
     * 
     */
    public WsSearchDrops createWsSearchDrops() {
        return new WsSearchDrops();
    }

    /**
     * Create an instance of {@link CreateTestSuite }
     * 
     */
    public CreateTestSuite createCreateTestSuite() {
        return new CreateTestSuite();
    }

    /**
     * Create an instance of {@link GetUserDefinedFields }
     * 
     */
    public GetUserDefinedFields createGetUserDefinedFields() {
        return new GetUserDefinedFields();
    }

    /**
     * Create an instance of {@link ListRequirementsFromFolderIdResponse }
     * 
     */
    public ListRequirementsFromFolderIdResponse createListRequirementsFromFolderIdResponse() {
        return new ListRequirementsFromFolderIdResponse();
    }

    /**
     * Create an instance of {@link GetProjectResponse }
     * 
     */
    public GetProjectResponse createGetProjectResponse() {
        return new GetProjectResponse();
    }

    /**
     * Create an instance of {@link GetTestcaseStepsFromTestcaseId }
     * 
     */
    public GetTestcaseStepsFromTestcaseId createGetTestcaseStepsFromTestcaseId() {
        return new GetTestcaseStepsFromTestcaseId();
    }

    /**
     * Create an instance of {@link WsAssignDropsResponse }
     * 
     */
    public WsAssignDropsResponse createWsAssignDropsResponse() {
        return new WsAssignDropsResponse();
    }

    /**
     * Create an instance of {@link AddAttachment }
     * 
     */
    public AddAttachment createAddAttachment() {
        return new AddAttachment();
    }

    /**
     * Create an instance of {@link FolderDetails }
     * 
     */
    public FolderDetails createFolderDetails() {
        return new FolderDetails();
    }

    /**
     * Create an instance of {@link ListBuildsWithTargetDate }
     * 
     */
    public ListBuildsWithTargetDate createListBuildsWithTargetDate() {
        return new ListBuildsWithTargetDate();
    }

    /**
     * Create an instance of {@link SetBuild }
     * 
     */
    public SetBuild createSetBuild() {
        return new SetBuild();
    }

    /**
     * Create an instance of {@link ListBuildsResponse }
     * 
     */
    public ListBuildsResponse createListBuildsResponse() {
        return new ListBuildsResponse();
    }

    /**
     * Create an instance of {@link LinkPlatformToTestSuiteResponse }
     * 
     */
    public LinkPlatformToTestSuiteResponse createLinkPlatformToTestSuiteResponse() {
        return new LinkPlatformToTestSuiteResponse();
    }

    /**
     * Create an instance of {@link AddTestLogUsingRunId }
     * 
     */
    public AddTestLogUsingRunId createAddTestLogUsingRunId() {
        return new AddTestLogUsingRunId();
    }

    /**
     * Create an instance of {@link ListTestSuitesResponse }
     * 
     */
    public ListTestSuitesResponse createListTestSuitesResponse() {
        return new ListTestSuitesResponse();
    }

    /**
     * Create an instance of {@link GetPlatformStatusByPlatformIdResponse }
     * 
     */
    public GetPlatformStatusByPlatformIdResponse createGetPlatformStatusByPlatformIdResponse() {
        return new GetPlatformStatusByPlatformIdResponse();
    }

    /**
     * Create an instance of {@link CreateProjectResponse }
     * 
     */
    public CreateProjectResponse createCreateProjectResponse() {
        return new CreateProjectResponse();
    }

    /**
     * Create an instance of {@link TestCaseStepExecution }
     * 
     */
    public TestCaseStepExecution createTestCaseStepExecution() {
        return new TestCaseStepExecution();
    }

    /**
     * Create an instance of {@link ActivateProjectResponse }
     * 
     */
    public ActivateProjectResponse createActivateProjectResponse() {
        return new ActivateProjectResponse();
    }

    /**
     * Create an instance of {@link ListTestSuitesFromFolderId }
     * 
     */
    public ListTestSuitesFromFolderId createListTestSuitesFromFolderId() {
        return new ListTestSuitesFromFolderId();
    }

    /**
     * Create an instance of {@link FolderStatus }
     * 
     */
    public FolderStatus createFolderStatus() {
        return new FolderStatus();
    }

    /**
     * Create an instance of {@link ListDefectTrackersResponse }
     * 
     */
    public ListDefectTrackersResponse createListDefectTrackersResponse() {
        return new ListDefectTrackersResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseWithCommentsResponse }
     * 
     */
    public ExecuteTestCaseWithCommentsResponse createExecuteTestCaseWithCommentsResponse() {
        return new ExecuteTestCaseWithCommentsResponse();
    }

    /**
     * Create an instance of {@link ListFoldersResponse }
     * 
     */
    public ListFoldersResponse createListFoldersResponse() {
        return new ListFoldersResponse();
    }

    /**
     * Create an instance of {@link ScopeInfo }
     * 
     */
    public ScopeInfo createScopeInfo() {
        return new ScopeInfo();
    }

    /**
     * Create an instance of {@link LoginResponse }
     * 
     */
    public LoginResponse createLoginResponse() {
        return new LoginResponse();
    }

    /**
     * Create an instance of {@link AssociateDefect }
     * 
     */
    public AssociateDefect createAssociateDefect() {
        return new AssociateDefect();
    }

    /**
     * Create an instance of {@link ListTestCasesFromFolderIdResponse }
     * 
     */
    public ListTestCasesFromFolderIdResponse createListTestCasesFromFolderIdResponse() {
        return new ListTestCasesFromFolderIdResponse();
    }

    /**
     * Create an instance of {@link GetUserDefinedFieldsResponse }
     * 
     */
    public GetUserDefinedFieldsResponse createGetUserDefinedFieldsResponse() {
        return new GetUserDefinedFieldsResponse();
    }

    /**
     * Create an instance of {@link LogExecutionHistoryResponse }
     * 
     */
    public LogExecutionHistoryResponse createLogExecutionHistoryResponse() {
        return new LogExecutionHistoryResponse();
    }

    /**
     * Create an instance of {@link ListAttachmentsResponse }
     * 
     */
    public ListAttachmentsResponse createListAttachmentsResponse() {
        return new ListAttachmentsResponse();
    }

    /**
     * Create an instance of {@link WsArchiveDropsResponse }
     * 
     */
    public WsArchiveDropsResponse createWsArchiveDropsResponse() {
        return new WsArchiveDropsResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseStep }
     * 
     */
    public ExecuteTestCaseStep createExecuteTestCaseStep() {
        return new ExecuteTestCaseStep();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseWithStepsUsingRunId }
     * 
     */
    public ExecuteTestCaseWithStepsUsingRunId createExecuteTestCaseWithStepsUsingRunId() {
        return new ExecuteTestCaseWithStepsUsingRunId();
    }

    /**
     * Create an instance of {@link ListTestSuitesFromFolderIdResponse }
     * 
     */
    public ListTestSuitesFromFolderIdResponse createListTestSuitesFromFolderIdResponse() {
        return new ListTestSuitesFromFolderIdResponse();
    }

    /**
     * Create an instance of {@link TestSuitePlatformExecution }
     * 
     */
    public TestSuitePlatformExecution createTestSuitePlatformExecution() {
        return new TestSuitePlatformExecution();
    }

    /**
     * Create an instance of {@link UpdateRequirementResponse }
     * 
     */
    public UpdateRequirementResponse createUpdateRequirementResponse() {
        return new UpdateRequirementResponse();
    }

    /**
     * Create an instance of {@link ListReleases }
     * 
     */
    public ListReleases createListReleases() {
        return new ListReleases();
    }

    /**
     * Create an instance of {@link ListStatuses }
     * 
     */
    public ListStatuses createListStatuses() {
        return new ListStatuses();
    }

    /**
     * Create an instance of {@link LinkTestCasesWithTestSuiteResponse }
     * 
     */
    public LinkTestCasesWithTestSuiteResponse createLinkTestCasesWithTestSuiteResponse() {
        return new LinkTestCasesWithTestSuiteResponse();
    }

    /**
     * Create an instance of {@link PlatformAttribute }
     * 
     */
    public PlatformAttribute createPlatformAttribute() {
        return new PlatformAttribute();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseResponse }
     * 
     */
    public ExecuteTestCaseResponse createExecuteTestCaseResponse() {
        return new ExecuteTestCaseResponse();
    }

    /**
     * Create an instance of {@link SetTestSuiteEndTimeResponse }
     * 
     */
    public SetTestSuiteEndTimeResponse createSetTestSuiteEndTimeResponse() {
        return new SetTestSuiteEndTimeResponse();
    }

    /**
     * Create an instance of {@link Entity }
     * 
     */
    public Entity createEntity() {
        return new Entity();
    }

    /**
     * Create an instance of {@link Login }
     * 
     */
    public Login createLogin() {
        return new Login();
    }

    /**
     * Create an instance of {@link UserDefinedField }
     * 
     */
    public UserDefinedField createUserDefinedField() {
        return new UserDefinedField();
    }

    /**
     * Create an instance of {@link CreateUser }
     * 
     */
    public CreateUser createCreateUser() {
        return new CreateUser();
    }

    /**
     * Create an instance of {@link PlatformAttributes }
     * 
     */
    public PlatformAttributes createPlatformAttributes() {
        return new PlatformAttributes();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseWithSteps }
     * 
     */
    public ExecuteTestCaseWithSteps createExecuteTestCaseWithSteps() {
        return new ExecuteTestCaseWithSteps();
    }

    /**
     * Create an instance of {@link AddTestLogUsingRunIdResponse }
     * 
     */
    public AddTestLogUsingRunIdResponse createAddTestLogUsingRunIdResponse() {
        return new AddTestLogUsingRunIdResponse();
    }

    /**
     * Create an instance of {@link ListBuildsWithTargetDateResponse }
     * 
     */
    public ListBuildsWithTargetDateResponse createListBuildsWithTargetDateResponse() {
        return new ListBuildsWithTargetDateResponse();
    }

    /**
     * Create an instance of {@link GetTestSuiteStatusByPlatform }
     * 
     */
    public GetTestSuiteStatusByPlatform createGetTestSuiteStatusByPlatform() {
        return new GetTestSuiteStatusByPlatform();
    }

    /**
     * Create an instance of {@link DeactivateProjectResponse }
     * 
     */
    public DeactivateProjectResponse createDeactivateProjectResponse() {
        return new DeactivateProjectResponse();
    }

    /**
     * Create an instance of {@link GetRequirementsFromDefectId }
     * 
     */
    public GetRequirementsFromDefectId createGetRequirementsFromDefectId() {
        return new GetRequirementsFromDefectId();
    }

    /**
     * Create an instance of {@link CreateFolder }
     * 
     */
    public CreateFolder createCreateFolder() {
        return new CreateFolder();
    }

    /**
     * Create an instance of {@link LogoutResponse }
     * 
     */
    public LogoutResponse createLogoutResponse() {
        return new LogoutResponse();
    }

    /**
     * Create an instance of {@link CreateProject }
     * 
     */
    public CreateProject createCreateProject() {
        return new CreateProject();
    }

    /**
     * Create an instance of {@link GetTestSuiteStatusByPlatformResponse }
     * 
     */
    public GetTestSuiteStatusByPlatformResponse createGetTestSuiteStatusByPlatformResponse() {
        return new GetTestSuiteStatusByPlatformResponse();
    }

    /**
     * Create an instance of {@link CreateTestSuiteResponse }
     * 
     */
    public CreateTestSuiteResponse createCreateTestSuiteResponse() {
        return new CreateTestSuiteResponse();
    }

    /**
     * Create an instance of {@link SetScopeResponse }
     * 
     */
    public SetScopeResponse createSetScopeResponse() {
        return new SetScopeResponse();
    }

    /**
     * Create an instance of {@link LogExecutionHistory }
     * 
     */
    public LogExecutionHistory createLogExecutionHistory() {
        return new LogExecutionHistory();
    }

    /**
     * Create an instance of {@link CreateSchedule }
     * 
     */
    public CreateSchedule createCreateSchedule() {
        return new CreateSchedule();
    }

    /**
     * Create an instance of {@link QMetryVersion }
     * 
     */
    public QMetryVersion createQMetryVersion() {
        return new QMetryVersion();
    }

    /**
     * Create an instance of {@link AssociateDefectResponse }
     * 
     */
    public AssociateDefectResponse createAssociateDefectResponse() {
        return new AssociateDefectResponse();
    }

    /**
     * Create an instance of {@link AddAttachmentResponse }
     * 
     */
    public AddAttachmentResponse createAddAttachmentResponse() {
        return new AddAttachmentResponse();
    }

    /**
     * Create an instance of {@link GetTestSuiteById }
     * 
     */
    public GetTestSuiteById createGetTestSuiteById() {
        return new GetTestSuiteById();
    }

    /**
     * Create an instance of {@link ListPlatformsByTestSuite }
     * 
     */
    public ListPlatformsByTestSuite createListPlatformsByTestSuite() {
        return new ListPlatformsByTestSuite();
    }

    /**
     * Create an instance of {@link ListUserRolesResponse }
     * 
     */
    public ListUserRolesResponse createListUserRolesResponse() {
        return new ListUserRolesResponse();
    }

    /**
     * Create an instance of {@link GetTestCaseById }
     * 
     */
    public GetTestCaseById createGetTestCaseById() {
        return new GetTestCaseById();
    }

    /**
     * Create an instance of {@link GetRequirementsFromDefectIdResponse }
     * 
     */
    public GetRequirementsFromDefectIdResponse createGetRequirementsFromDefectIdResponse() {
        return new GetRequirementsFromDefectIdResponse();
    }

    /**
     * Create an instance of {@link TestCaseEntity }
     * 
     */
    public TestCaseEntity createTestCaseEntity() {
        return new TestCaseEntity();
    }

    /**
     * Create an instance of {@link AssociateDefectTracker }
     * 
     */
    public AssociateDefectTracker createAssociateDefectTracker() {
        return new AssociateDefectTracker();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseWithStepsUsingRunIdResponse }
     * 
     */
    public ExecuteTestCaseWithStepsUsingRunIdResponse createExecuteTestCaseWithStepsUsingRunIdResponse() {
        return new ExecuteTestCaseWithStepsUsingRunIdResponse();
    }

    /**
     * Create an instance of {@link UpdateTestCaseResponse }
     * 
     */
    public UpdateTestCaseResponse createUpdateTestCaseResponse() {
        return new UpdateTestCaseResponse();
    }

    /**
     * Create an instance of {@link GetTestSuiteExecutionsResponse }
     * 
     */
    public GetTestSuiteExecutionsResponse createGetTestSuiteExecutionsResponse() {
        return new GetTestSuiteExecutionsResponse();
    }

    /**
     * Create an instance of {@link SetTestSuiteStartTime }
     * 
     */
    public SetTestSuiteStartTime createSetTestSuiteStartTime() {
        return new SetTestSuiteStartTime();
    }

    /**
     * Create an instance of {@link GetTestDataVariables }
     * 
     */
    public GetTestDataVariables createGetTestDataVariables() {
        return new GetTestDataVariables();
    }

    /**
     * Create an instance of {@link GetScope }
     * 
     */
    public GetScope createGetScope() {
        return new GetScope();
    }

    /**
     * Create an instance of {@link ActivateProject }
     * 
     */
    public ActivateProject createActivateProject() {
        return new ActivateProject();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseUsingRunIdResponse }
     * 
     */
    public ExecuteTestCaseUsingRunIdResponse createExecuteTestCaseUsingRunIdResponse() {
        return new ExecuteTestCaseUsingRunIdResponse();
    }

    /**
     * Create an instance of {@link GetListIdFromValue }
     * 
     */
    public GetListIdFromValue createGetListIdFromValue() {
        return new GetListIdFromValue();
    }

    /**
     * Create an instance of {@link UpdateSchedulerComments }
     * 
     */
    public UpdateSchedulerComments createUpdateSchedulerComments() {
        return new UpdateSchedulerComments();
    }

    /**
     * Create an instance of {@link AssignProjectResponse }
     * 
     */
    public AssignProjectResponse createAssignProjectResponse() {
        return new AssignProjectResponse();
    }

    /**
     * Create an instance of {@link RequirementEntity }
     * 
     */
    public RequirementEntity createRequirementEntity() {
        return new RequirementEntity();
    }

    /**
     * Create an instance of {@link ListTestSuites }
     * 
     */
    public ListTestSuites createListTestSuites() {
        return new ListTestSuites();
    }

    /**
     * Create an instance of {@link TestCaseStepsEntity }
     * 
     */
    public TestCaseStepsEntity createTestCaseStepsEntity() {
        return new TestCaseStepsEntity();
    }

    /**
     * Create an instance of {@link UpdateTestSuiteResponse }
     * 
     */
    public UpdateTestSuiteResponse createUpdateTestSuiteResponse() {
        return new UpdateTestSuiteResponse();
    }

    /**
     * Create an instance of {@link WsCreateDrops }
     * 
     */
    public WsCreateDrops createWsCreateDrops() {
        return new WsCreateDrops();
    }

    /**
     * Create an instance of {@link TestSuiteRunDetails }
     * 
     */
    public TestSuiteRunDetails createTestSuiteRunDetails() {
        return new TestSuiteRunDetails();
    }

    /**
     * Create an instance of {@link ExecuteTestSuite }
     * 
     */
    public ExecuteTestSuite createExecuteTestSuite() {
        return new ExecuteTestSuite();
    }

    /**
     * Create an instance of {@link DeleteAttachmentResponse }
     * 
     */
    public DeleteAttachmentResponse createDeleteAttachmentResponse() {
        return new DeleteAttachmentResponse();
    }

    /**
     * Create an instance of {@link ListPlatformsByTestSuiteResponse }
     * 
     */
    public ListPlatformsByTestSuiteResponse createListPlatformsByTestSuiteResponse() {
        return new ListPlatformsByTestSuiteResponse();
    }

    /**
     * Create an instance of {@link TestLogs }
     * 
     */
    public TestLogs createTestLogs() {
        return new TestLogs();
    }

    /**
     * Create an instance of {@link GetRequirementsJiraFromDefectId }
     * 
     */
    public GetRequirementsJiraFromDefectId createGetRequirementsJiraFromDefectId() {
        return new GetRequirementsJiraFromDefectId();
    }

    /**
     * Create an instance of {@link GetDefectsFromTestCaseIdResponse }
     * 
     */
    public GetDefectsFromTestCaseIdResponse createGetDefectsFromTestCaseIdResponse() {
        return new GetDefectsFromTestCaseIdResponse();
    }

    /**
     * Create an instance of {@link ListFoldersWithStatusFromParentId }
     * 
     */
    public ListFoldersWithStatusFromParentId createListFoldersWithStatusFromParentId() {
        return new ListFoldersWithStatusFromParentId();
    }

    /**
     * Create an instance of {@link GetDefectsFromTestCaseId }
     * 
     */
    public GetDefectsFromTestCaseId createGetDefectsFromTestCaseId() {
        return new GetDefectsFromTestCaseId();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseStepWithResultResponse }
     * 
     */
    public ExecuteTestCaseStepWithResultResponse createExecuteTestCaseStepWithResultResponse() {
        return new ExecuteTestCaseStepWithResultResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseSteps }
     * 
     */
    public ExecuteTestCaseSteps createExecuteTestCaseSteps() {
        return new ExecuteTestCaseSteps();
    }

    /**
     * Create an instance of {@link SetScope }
     * 
     */
    public SetScope createSetScope() {
        return new SetScope();
    }

    /**
     * Create an instance of {@link CreateTestCaseResponse }
     * 
     */
    public CreateTestCaseResponse createCreateTestCaseResponse() {
        return new CreateTestCaseResponse();
    }

    /**
     * Create an instance of {@link ListFoldersWithStatusFromParentIdResponse }
     * 
     */
    public ListFoldersWithStatusFromParentIdResponse createListFoldersWithStatusFromParentIdResponse() {
        return new ListFoldersWithStatusFromParentIdResponse();
    }

    /**
     * Create an instance of {@link CreateTestCaseStepResponse }
     * 
     */
    public CreateTestCaseStepResponse createCreateTestCaseStepResponse() {
        return new CreateTestCaseStepResponse();
    }

    /**
     * Create an instance of {@link ListCustomizedListValuesResponse }
     * 
     */
    public ListCustomizedListValuesResponse createListCustomizedListValuesResponse() {
        return new ListCustomizedListValuesResponse();
    }

    /**
     * Create an instance of {@link LinkTestCaseWithTestSuite }
     * 
     */
    public LinkTestCaseWithTestSuite createLinkTestCaseWithTestSuite() {
        return new LinkTestCaseWithTestSuite();
    }

    /**
     * Create an instance of {@link ListReleasesWithTargetDate }
     * 
     */
    public ListReleasesWithTargetDate createListReleasesWithTargetDate() {
        return new ListReleasesWithTargetDate();
    }

    /**
     * Create an instance of {@link AddTestLogResponse }
     * 
     */
    public AddTestLogResponse createAddTestLogResponse() {
        return new AddTestLogResponse();
    }

    /**
     * Create an instance of {@link ListFoldersWithStatus }
     * 
     */
    public ListFoldersWithStatus createListFoldersWithStatus() {
        return new ListFoldersWithStatus();
    }

    /**
     * Create an instance of {@link Logout }
     * 
     */
    public Logout createLogout() {
        return new Logout();
    }

    /**
     * Create an instance of {@link RequirementElements }
     * 
     */
    public RequirementElements createRequirementElements() {
        return new RequirementElements();
    }

    /**
     * Create an instance of {@link TestCaseDomainAssociation }
     * 
     */
    public TestCaseDomainAssociation createTestCaseDomainAssociation() {
        return new TestCaseDomainAssociation();
    }

    /**
     * Create an instance of {@link DeactivateProject }
     * 
     */
    public DeactivateProject createDeactivateProject() {
        return new DeactivateProject();
    }

    /**
     * Create an instance of {@link GetTestDataVariablesResponse }
     * 
     */
    public GetTestDataVariablesResponse createGetTestDataVariablesResponse() {
        return new GetTestDataVariablesResponse();
    }

    /**
     * Create an instance of {@link GetTestSuiteExecutions }
     * 
     */
    public GetTestSuiteExecutions createGetTestSuiteExecutions() {
        return new GetTestSuiteExecutions();
    }

    /**
     * Create an instance of {@link LinkTestCasesWithTestSuite }
     * 
     */
    public LinkTestCasesWithTestSuite createLinkTestCasesWithTestSuite() {
        return new LinkTestCasesWithTestSuite();
    }

    /**
     * Create an instance of {@link ListTestCasesFromFolderId }
     * 
     */
    public ListTestCasesFromFolderId createListTestCasesFromFolderId() {
        return new ListTestCasesFromFolderId();
    }

    /**
     * Create an instance of {@link ListUserRoles }
     * 
     */
    public ListUserRoles createListUserRoles() {
        return new ListUserRoles();
    }

    /**
     * Create an instance of {@link ListFolders }
     * 
     */
    public ListFolders createListFolders() {
        return new ListFolders();
    }

    /**
     * Create an instance of {@link CreateTestCase }
     * 
     */
    public CreateTestCase createCreateTestCase() {
        return new CreateTestCase();
    }

    /**
     * Create an instance of {@link CreateTestCaseStep }
     * 
     */
    public CreateTestCaseStep createCreateTestCaseStep() {
        return new CreateTestCaseStep();
    }

    /**
     * Create an instance of {@link ListFoldersWithStatusResponse }
     * 
     */
    public ListFoldersWithStatusResponse createListFoldersWithStatusResponse() {
        return new ListFoldersWithStatusResponse();
    }

    /**
     * Create an instance of {@link ListReleasesWithTargetDateResponse }
     * 
     */
    public ListReleasesWithTargetDateResponse createListReleasesWithTargetDateResponse() {
        return new ListReleasesWithTargetDateResponse();
    }

    /**
     * Create an instance of {@link TestCaseExecutions }
     * 
     */
    public TestCaseExecutions createTestCaseExecutions() {
        return new TestCaseExecutions();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseWithStepsResponse }
     * 
     */
    public ExecuteTestCaseWithStepsResponse createExecuteTestCaseWithStepsResponse() {
        return new ExecuteTestCaseWithStepsResponse();
    }

    /**
     * Create an instance of {@link SetRelease }
     * 
     */
    public SetRelease createSetRelease() {
        return new SetRelease();
    }

    /**
     * Create an instance of {@link WsCreateDropsResponse }
     * 
     */
    public WsCreateDropsResponse createWsCreateDropsResponse() {
        return new WsCreateDropsResponse();
    }

    /**
     * Create an instance of {@link ListBuilds }
     * 
     */
    public ListBuilds createListBuilds() {
        return new ListBuilds();
    }

    /**
     * Create an instance of {@link AssociateDefectTrackerResponse }
     * 
     */
    public AssociateDefectTrackerResponse createAssociateDefectTrackerResponse() {
        return new AssociateDefectTrackerResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseWithComments }
     * 
     */
    public ExecuteTestCaseWithComments createExecuteTestCaseWithComments() {
        return new ExecuteTestCaseWithComments();
    }

    /**
     * Create an instance of {@link ListStatusesResponse }
     * 
     */
    public ListStatusesResponse createListStatusesResponse() {
        return new ListStatusesResponse();
    }

    /**
     * Create an instance of {@link GetPlatformStatusByPlatformId }
     * 
     */
    public GetPlatformStatusByPlatformId createGetPlatformStatusByPlatformId() {
        return new GetPlatformStatusByPlatformId();
    }

    /**
     * Create an instance of {@link UpdateRequirement }
     * 
     */
    public UpdateRequirement createUpdateRequirement() {
        return new UpdateRequirement();
    }

    /**
     * Create an instance of {@link GetTestCaseByIdResponse }
     * 
     */
    public GetTestCaseByIdResponse createGetTestCaseByIdResponse() {
        return new GetTestCaseByIdResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestSuiteResponse }
     * 
     */
    public ExecuteTestSuiteResponse createExecuteTestSuiteResponse() {
        return new ExecuteTestSuiteResponse();
    }

    /**
     * Create an instance of {@link ListReleasesResponse }
     * 
     */
    public ListReleasesResponse createListReleasesResponse() {
        return new ListReleasesResponse();
    }

    /**
     * Create an instance of {@link GetTestcaseStepsFromTestcaseIdResponse }
     * 
     */
    public GetTestcaseStepsFromTestcaseIdResponse createGetTestcaseStepsFromTestcaseIdResponse() {
        return new GetTestcaseStepsFromTestcaseIdResponse();
    }

    /**
     * Create an instance of {@link WsArchiveDrops }
     * 
     */
    public WsArchiveDrops createWsArchiveDrops() {
        return new WsArchiveDrops();
    }

    /**
     * Create an instance of {@link GetRequirementsJiraFromDefectIdResponse }
     * 
     */
    public GetRequirementsJiraFromDefectIdResponse createGetRequirementsJiraFromDefectIdResponse() {
        return new GetRequirementsJiraFromDefectIdResponse();
    }

    /**
     * Create an instance of {@link ListCustomizedListValues }
     * 
     */
    public ListCustomizedListValues createListCustomizedListValues() {
        return new ListCustomizedListValues();
    }

    /**
     * Create an instance of {@link ListRequirements }
     * 
     */
    public ListRequirements createListRequirements() {
        return new ListRequirements();
    }

    /**
     * Create an instance of {@link StatusEntity }
     * 
     */
    public StatusEntity createStatusEntity() {
        return new StatusEntity();
    }

    /**
     * Create an instance of {@link ListUsers }
     * 
     */
    public ListUsers createListUsers() {
        return new ListUsers();
    }

    /**
     * Create an instance of {@link UserDefinedFieldArray }
     * 
     */
    public UserDefinedFieldArray createUserDefinedFieldArray() {
        return new UserDefinedFieldArray();
    }

    /**
     * Create an instance of {@link ListFoldersFromParentId }
     * 
     */
    public ListFoldersFromParentId createListFoldersFromParentId() {
        return new ListFoldersFromParentId();
    }

    /**
     * Create an instance of {@link CreateFolderResponse }
     * 
     */
    public CreateFolderResponse createCreateFolderResponse() {
        return new CreateFolderResponse();
    }

    /**
     * Create an instance of {@link WsAssignDrops }
     * 
     */
    public WsAssignDrops createWsAssignDrops() {
        return new WsAssignDrops();
    }

    /**
     * Create an instance of {@link ListDefectTrackers }
     * 
     */
    public ListDefectTrackers createListDefectTrackers() {
        return new ListDefectTrackers();
    }

    /**
     * Create an instance of {@link TestCaseStepRunDetails }
     * 
     */
    public TestCaseStepRunDetails createTestCaseStepRunDetails() {
        return new TestCaseStepRunDetails();
    }

    /**
     * Create an instance of {@link TestSuiteEntity }
     * 
     */
    public TestSuiteEntity createTestSuiteEntity() {
        return new TestSuiteEntity();
    }

    /**
     * Create an instance of {@link GetTestCasesFromJiraDefectIdResponse }
     * 
     */
    public GetTestCasesFromJiraDefectIdResponse createGetTestCasesFromJiraDefectIdResponse() {
        return new GetTestCasesFromJiraDefectIdResponse();
    }

    /**
     * Create an instance of {@link LinkPlatformToTestSuite }
     * 
     */
    public LinkPlatformToTestSuite createLinkPlatformToTestSuite() {
        return new LinkPlatformToTestSuite();
    }

    /**
     * Create an instance of {@link TestCaseStepExecutions }
     * 
     */
    public TestCaseStepExecutions createTestCaseStepExecutions() {
        return new TestCaseStepExecutions();
    }

    /**
     * Create an instance of {@link DeleteAttachment }
     * 
     */
    public DeleteAttachment createDeleteAttachment() {
        return new DeleteAttachment();
    }

    /**
     * Create an instance of {@link ListCustomizedListResponse }
     * 
     */
    public ListCustomizedListResponse createListCustomizedListResponse() {
        return new ListCustomizedListResponse();
    }

    /**
     * Create an instance of {@link SetReleaseResponse }
     * 
     */
    public SetReleaseResponse createSetReleaseResponse() {
        return new SetReleaseResponse();
    }

    /**
     * Create an instance of {@link DefectTracker }
     * 
     */
    public DefectTracker createDefectTracker() {
        return new DefectTracker();
    }

    /**
     * Create an instance of {@link GetTestcaseStepsStausByPlatformResponse }
     * 
     */
    public GetTestcaseStepsStausByPlatformResponse createGetTestcaseStepsStausByPlatformResponse() {
        return new GetTestcaseStepsStausByPlatformResponse();
    }

    /**
     * Create an instance of {@link GetListIdFromValueResponse }
     * 
     */
    public GetListIdFromValueResponse createGetListIdFromValueResponse() {
        return new GetListIdFromValueResponse();
    }

    /**
     * Create an instance of {@link ExecuteTestCaseStepResponse }
     * 
     */
    public ExecuteTestCaseStepResponse createExecuteTestCaseStepResponse() {
        return new ExecuteTestCaseStepResponse();
    }

}
