
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestCaseEntity complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestCaseEntity">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="objective" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="component" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="componentValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="creationDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="statusValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="assignedTo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="assignedToValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="preCondition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="postCondition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="designer" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="designerValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="priority" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="priorityValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="typeValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedReason" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedReasonValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testingType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testingTypeValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testScriptName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="folderId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="folderPath" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testCaseUdfs" type="{http://www.wso2.org/php/xsd}UserDefinedFieldArray" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestCaseEntity", propOrder = {
    "id",
    "name",
    "objective",
    "component",
    "componentValue",
    "creationDate",
    "modifiedDate",
    "status",
    "statusValue",
    "assignedTo",
    "assignedToValue",
    "preCondition",
    "postCondition",
    "designer",
    "designerValue",
    "priority",
    "priorityValue",
    "executionTime",
    "type",
    "typeValue",
    "modifiedReason",
    "modifiedReasonValue",
    "testingType",
    "testingTypeValue",
    "version",
    "testScriptName",
    "folderId",
    "folderPath",
    "testCaseUdfs"
})
public class TestCaseEntity {

    protected int id;
    @XmlElement(required = true)
    protected String name;
    @XmlElement(required = true)
    protected String objective;
    @XmlElement(required = true)
    protected String component;
    @XmlElement(required = true)
    protected String componentValue;
    @XmlElement(required = true)
    protected String creationDate;
    @XmlElement(required = true)
    protected String modifiedDate;
    @XmlElement(required = true)
    protected String status;
    @XmlElement(required = true)
    protected String statusValue;
    @XmlElement(required = true)
    protected String assignedTo;
    @XmlElement(required = true)
    protected String assignedToValue;
    @XmlElement(required = true)
    protected String preCondition;
    @XmlElement(required = true)
    protected String postCondition;
    @XmlElement(required = true)
    protected String designer;
    @XmlElement(required = true)
    protected String designerValue;
    @XmlElement(required = true)
    protected String priority;
    @XmlElement(required = true)
    protected String priorityValue;
    @XmlElement(required = true)
    protected String executionTime;
    @XmlElement(required = true)
    protected String type;
    @XmlElement(required = true)
    protected String typeValue;
    @XmlElement(required = true)
    protected String modifiedReason;
    @XmlElement(required = true)
    protected String modifiedReasonValue;
    @XmlElement(required = true)
    protected String testingType;
    @XmlElement(required = true)
    protected String testingTypeValue;
    @XmlElement(required = true)
    protected String version;
    @XmlElement(required = true)
    protected String testScriptName;
    protected int folderId;
    @XmlElement(required = true)
    protected String folderPath;
    protected List<UserDefinedFieldArray> testCaseUdfs;

    /**
     * Gets the value of the id property.
     * 
     */
    public int getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     */
    public void setId(int value) {
        this.id = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the objective property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObjective() {
        return objective;
    }

    /**
     * Sets the value of the objective property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObjective(String value) {
        this.objective = value;
    }

    /**
     * Gets the value of the component property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComponent() {
        return component;
    }

    /**
     * Sets the value of the component property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComponent(String value) {
        this.component = value;
    }

    /**
     * Gets the value of the componentValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComponentValue() {
        return componentValue;
    }

    /**
     * Sets the value of the componentValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComponentValue(String value) {
        this.componentValue = value;
    }

    /**
     * Gets the value of the creationDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreationDate() {
        return creationDate;
    }

    /**
     * Sets the value of the creationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreationDate(String value) {
        this.creationDate = value;
    }

    /**
     * Gets the value of the modifiedDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedDate() {
        return modifiedDate;
    }

    /**
     * Sets the value of the modifiedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedDate(String value) {
        this.modifiedDate = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the statusValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusValue() {
        return statusValue;
    }

    /**
     * Sets the value of the statusValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusValue(String value) {
        this.statusValue = value;
    }

    /**
     * Gets the value of the assignedTo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssignedTo() {
        return assignedTo;
    }

    /**
     * Sets the value of the assignedTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssignedTo(String value) {
        this.assignedTo = value;
    }

    /**
     * Gets the value of the assignedToValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssignedToValue() {
        return assignedToValue;
    }

    /**
     * Sets the value of the assignedToValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssignedToValue(String value) {
        this.assignedToValue = value;
    }

    /**
     * Gets the value of the preCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreCondition() {
        return preCondition;
    }

    /**
     * Sets the value of the preCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreCondition(String value) {
        this.preCondition = value;
    }

    /**
     * Gets the value of the postCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostCondition() {
        return postCondition;
    }

    /**
     * Sets the value of the postCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostCondition(String value) {
        this.postCondition = value;
    }

    /**
     * Gets the value of the designer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDesigner() {
        return designer;
    }

    /**
     * Sets the value of the designer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDesigner(String value) {
        this.designer = value;
    }

    /**
     * Gets the value of the designerValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDesignerValue() {
        return designerValue;
    }

    /**
     * Sets the value of the designerValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDesignerValue(String value) {
        this.designerValue = value;
    }

    /**
     * Gets the value of the priority property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPriority() {
        return priority;
    }

    /**
     * Sets the value of the priority property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPriority(String value) {
        this.priority = value;
    }

    /**
     * Gets the value of the priorityValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPriorityValue() {
        return priorityValue;
    }

    /**
     * Sets the value of the priorityValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPriorityValue(String value) {
        this.priorityValue = value;
    }

    /**
     * Gets the value of the executionTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionTime() {
        return executionTime;
    }

    /**
     * Sets the value of the executionTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionTime(String value) {
        this.executionTime = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the typeValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTypeValue() {
        return typeValue;
    }

    /**
     * Sets the value of the typeValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTypeValue(String value) {
        this.typeValue = value;
    }

    /**
     * Gets the value of the modifiedReason property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedReason() {
        return modifiedReason;
    }

    /**
     * Sets the value of the modifiedReason property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedReason(String value) {
        this.modifiedReason = value;
    }

    /**
     * Gets the value of the modifiedReasonValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedReasonValue() {
        return modifiedReasonValue;
    }

    /**
     * Sets the value of the modifiedReasonValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedReasonValue(String value) {
        this.modifiedReasonValue = value;
    }

    /**
     * Gets the value of the testingType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestingType() {
        return testingType;
    }

    /**
     * Sets the value of the testingType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestingType(String value) {
        this.testingType = value;
    }

    /**
     * Gets the value of the testingTypeValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestingTypeValue() {
        return testingTypeValue;
    }

    /**
     * Sets the value of the testingTypeValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestingTypeValue(String value) {
        this.testingTypeValue = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the testScriptName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestScriptName() {
        return testScriptName;
    }

    /**
     * Sets the value of the testScriptName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestScriptName(String value) {
        this.testScriptName = value;
    }

    /**
     * Gets the value of the folderId property.
     * 
     */
    public int getFolderId() {
        return folderId;
    }

    /**
     * Sets the value of the folderId property.
     * 
     */
    public void setFolderId(int value) {
        this.folderId = value;
    }

    /**
     * Gets the value of the folderPath property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFolderPath() {
        return folderPath;
    }

    /**
     * Sets the value of the folderPath property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFolderPath(String value) {
        this.folderPath = value;
    }

    /**
     * Gets the value of the testCaseUdfs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the testCaseUdfs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTestCaseUdfs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserDefinedFieldArray }
     * 
     * 
     */
    public List<UserDefinedFieldArray> getTestCaseUdfs() {
        if (testCaseUdfs == null) {
            testCaseUdfs = new ArrayList<UserDefinedFieldArray>();
        }
        return this.testCaseUdfs;
    }

}
