
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestCaseExecution complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestCaseExecution">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="testCaseId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testCaseExecutionId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testCaseName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testCaseObjective" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testCaseUdfs" type="{http://www.wso2.org/php/xsd}UserDefinedFieldArray" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="executionStartTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionEndTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionComments" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testLogs" type="{http://www.wso2.org/php/xsd}TestLogs"/>
 *         &lt;element name="testCaseStepExecutions" type="{http://www.wso2.org/php/xsd}TestCaseStepExecutions" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestCaseExecution", propOrder = {
    "testCaseId",
    "testCaseExecutionId",
    "testCaseName",
    "testCaseObjective",
    "testCaseUdfs",
    "executionStartTime",
    "executionEndTime",
    "executionStatus",
    "executionComments",
    "testLogs",
    "testCaseStepExecutions"
})
public class TestCaseExecution {

    protected int testCaseId;
    protected int testCaseExecutionId;
    @XmlElement(required = true)
    protected String testCaseName;
    @XmlElement(required = true)
    protected String testCaseObjective;
    protected List<UserDefinedFieldArray> testCaseUdfs;
    @XmlElement(required = true)
    protected String executionStartTime;
    @XmlElement(required = true)
    protected String executionEndTime;
    @XmlElement(required = true)
    protected String executionStatus;
    @XmlElement(required = true)
    protected String executionComments;
    @XmlElement(required = true)
    protected TestLogs testLogs;
    protected List<TestCaseStepExecutions> testCaseStepExecutions;

    /**
     * Gets the value of the testCaseId property.
     * 
     */
    public int getTestCaseId() {
        return testCaseId;
    }

    /**
     * Sets the value of the testCaseId property.
     * 
     */
    public void setTestCaseId(int value) {
        this.testCaseId = value;
    }

    /**
     * Gets the value of the testCaseExecutionId property.
     * 
     */
    public int getTestCaseExecutionId() {
        return testCaseExecutionId;
    }

    /**
     * Sets the value of the testCaseExecutionId property.
     * 
     */
    public void setTestCaseExecutionId(int value) {
        this.testCaseExecutionId = value;
    }

    /**
     * Gets the value of the testCaseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestCaseName() {
        return testCaseName;
    }

    /**
     * Sets the value of the testCaseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestCaseName(String value) {
        this.testCaseName = value;
    }

    /**
     * Gets the value of the testCaseObjective property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestCaseObjective() {
        return testCaseObjective;
    }

    /**
     * Sets the value of the testCaseObjective property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestCaseObjective(String value) {
        this.testCaseObjective = value;
    }

    /**
     * Gets the value of the testCaseUdfs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the testCaseUdfs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTestCaseUdfs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserDefinedFieldArray }
     * 
     * 
     */
    public List<UserDefinedFieldArray> getTestCaseUdfs() {
        if (testCaseUdfs == null) {
            testCaseUdfs = new ArrayList<UserDefinedFieldArray>();
        }
        return this.testCaseUdfs;
    }

    /**
     * Gets the value of the executionStartTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionStartTime() {
        return executionStartTime;
    }

    /**
     * Sets the value of the executionStartTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionStartTime(String value) {
        this.executionStartTime = value;
    }

    /**
     * Gets the value of the executionEndTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionEndTime() {
        return executionEndTime;
    }

    /**
     * Sets the value of the executionEndTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionEndTime(String value) {
        this.executionEndTime = value;
    }

    /**
     * Gets the value of the executionStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionStatus() {
        return executionStatus;
    }

    /**
     * Sets the value of the executionStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionStatus(String value) {
        this.executionStatus = value;
    }

    /**
     * Gets the value of the executionComments property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionComments() {
        return executionComments;
    }

    /**
     * Sets the value of the executionComments property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionComments(String value) {
        this.executionComments = value;
    }

    /**
     * Gets the value of the testLogs property.
     * 
     * @return
     *     possible object is
     *     {@link TestLogs }
     *     
     */
    public TestLogs getTestLogs() {
        return testLogs;
    }

    /**
     * Sets the value of the testLogs property.
     * 
     * @param value
     *     allowed object is
     *     {@link TestLogs }
     *     
     */
    public void setTestLogs(TestLogs value) {
        this.testLogs = value;
    }

    /**
     * Gets the value of the testCaseStepExecutions property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the testCaseStepExecutions property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTestCaseStepExecutions().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TestCaseStepExecutions }
     * 
     * 
     */
    public List<TestCaseStepExecutions> getTestCaseStepExecutions() {
        if (testCaseStepExecutions == null) {
            testCaseStepExecutions = new ArrayList<TestCaseStepExecutions>();
        }
        return this.testCaseStepExecutions;
    }

}
