
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestCaseStepExecution complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestCaseStepExecution">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="stepId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="stepExecutionId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="stepName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepInputData" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepExpectedOutcome" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepExecutionStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepUdfs" type="{http://www.wso2.org/php/xsd}UserDefinedFieldArray" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="stepExecutionComments" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepTestLogs" type="{http://www.wso2.org/php/xsd}TestLogs"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestCaseStepExecution", propOrder = {
    "stepId",
    "stepExecutionId",
    "stepName",
    "stepDesc",
    "stepInputData",
    "stepExpectedOutcome",
    "stepExecutionStatus",
    "stepUdfs",
    "stepExecutionComments",
    "stepTestLogs"
})
public class TestCaseStepExecution {

    protected int stepId;
    protected int stepExecutionId;
    @XmlElement(required = true)
    protected String stepName;
    @XmlElement(required = true)
    protected String stepDesc;
    @XmlElement(required = true)
    protected String stepInputData;
    @XmlElement(required = true)
    protected String stepExpectedOutcome;
    @XmlElement(required = true)
    protected String stepExecutionStatus;
    protected List<UserDefinedFieldArray> stepUdfs;
    @XmlElement(required = true)
    protected String stepExecutionComments;
    @XmlElement(required = true)
    protected TestLogs stepTestLogs;

    /**
     * Gets the value of the stepId property.
     * 
     */
    public int getStepId() {
        return stepId;
    }

    /**
     * Sets the value of the stepId property.
     * 
     */
    public void setStepId(int value) {
        this.stepId = value;
    }

    /**
     * Gets the value of the stepExecutionId property.
     * 
     */
    public int getStepExecutionId() {
        return stepExecutionId;
    }

    /**
     * Sets the value of the stepExecutionId property.
     * 
     */
    public void setStepExecutionId(int value) {
        this.stepExecutionId = value;
    }

    /**
     * Gets the value of the stepName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepName() {
        return stepName;
    }

    /**
     * Sets the value of the stepName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepName(String value) {
        this.stepName = value;
    }

    /**
     * Gets the value of the stepDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepDesc() {
        return stepDesc;
    }

    /**
     * Sets the value of the stepDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepDesc(String value) {
        this.stepDesc = value;
    }

    /**
     * Gets the value of the stepInputData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepInputData() {
        return stepInputData;
    }

    /**
     * Sets the value of the stepInputData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepInputData(String value) {
        this.stepInputData = value;
    }

    /**
     * Gets the value of the stepExpectedOutcome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepExpectedOutcome() {
        return stepExpectedOutcome;
    }

    /**
     * Sets the value of the stepExpectedOutcome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepExpectedOutcome(String value) {
        this.stepExpectedOutcome = value;
    }

    /**
     * Gets the value of the stepExecutionStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepExecutionStatus() {
        return stepExecutionStatus;
    }

    /**
     * Sets the value of the stepExecutionStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepExecutionStatus(String value) {
        this.stepExecutionStatus = value;
    }

    /**
     * Gets the value of the stepUdfs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the stepUdfs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStepUdfs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserDefinedFieldArray }
     * 
     * 
     */
    public List<UserDefinedFieldArray> getStepUdfs() {
        if (stepUdfs == null) {
            stepUdfs = new ArrayList<UserDefinedFieldArray>();
        }
        return this.stepUdfs;
    }

    /**
     * Gets the value of the stepExecutionComments property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepExecutionComments() {
        return stepExecutionComments;
    }

    /**
     * Sets the value of the stepExecutionComments property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepExecutionComments(String value) {
        this.stepExecutionComments = value;
    }

    /**
     * Gets the value of the stepTestLogs property.
     * 
     * @return
     *     possible object is
     *     {@link TestLogs }
     *     
     */
    public TestLogs getStepTestLogs() {
        return stepTestLogs;
    }

    /**
     * Sets the value of the stepTestLogs property.
     * 
     * @param value
     *     allowed object is
     *     {@link TestLogs }
     *     
     */
    public void setStepTestLogs(TestLogs value) {
        this.stepTestLogs = value;
    }

}
