
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestCaseStepsEntity complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestCaseStepsEntity">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="StepId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TestCaseId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="StepNumber" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="StepName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="StepDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ExpectedOutcome" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="InputData" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TestCaseversion" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="UserDefined01" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="UserDefined02" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="UserDefined03" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="UserDefined04" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="UserDefined05" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TestCaseVersion" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="StepStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TestCaseStepRunId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="ActualResults" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepUdfs" type="{http://www.wso2.org/php/xsd}UserDefinedFieldArray" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestCaseStepsEntity", propOrder = {
    "stepId",
    "testCaseId",
    "stepNumber",
    "stepName",
    "stepDescription",
    "expectedOutcome",
    "inputData",
    "testCaseversion",
    "userDefined01",
    "userDefined02",
    "userDefined03",
    "userDefined04",
    "userDefined05",
    "testCaseVersion",
    "stepStatus",
    "testCaseStepRunId",
    "actualResults",
    "stepUdfs"
})
public class TestCaseStepsEntity {

    @XmlElement(name = "StepId")
    protected int stepId;
    @XmlElement(name = "TestCaseId")
    protected int testCaseId;
    @XmlElement(name = "StepNumber")
    protected int stepNumber;
    @XmlElement(name = "StepName", required = true)
    protected String stepName;
    @XmlElement(name = "StepDescription", required = true)
    protected String stepDescription;
    @XmlElement(name = "ExpectedOutcome", required = true)
    protected String expectedOutcome;
    @XmlElement(name = "InputData", required = true)
    protected String inputData;
    @XmlElement(name = "TestCaseversion")
    protected int testCaseversion;
    @XmlElement(name = "UserDefined01", required = true)
    protected String userDefined01;
    @XmlElement(name = "UserDefined02", required = true)
    protected String userDefined02;
    @XmlElement(name = "UserDefined03", required = true)
    protected String userDefined03;
    @XmlElement(name = "UserDefined04", required = true)
    protected String userDefined04;
    @XmlElement(name = "UserDefined05", required = true)
    protected String userDefined05;
    @XmlElement(name = "TestCaseVersion")
    protected int testCaseVersion;
    @XmlElement(name = "StepStatus", required = true)
    protected String stepStatus;
    @XmlElement(name = "TestCaseStepRunId")
    protected int testCaseStepRunId;
    @XmlElement(name = "ActualResults", required = true)
    protected String actualResults;
    protected List<UserDefinedFieldArray> stepUdfs;

    /**
     * Gets the value of the stepId property.
     * 
     */
    public int getStepId() {
        return stepId;
    }

    /**
     * Sets the value of the stepId property.
     * 
     */
    public void setStepId(int value) {
        this.stepId = value;
    }

    /**
     * Gets the value of the testCaseId property.
     * 
     */
    public int getTestCaseId() {
        return testCaseId;
    }

    /**
     * Sets the value of the testCaseId property.
     * 
     */
    public void setTestCaseId(int value) {
        this.testCaseId = value;
    }

    /**
     * Gets the value of the stepNumber property.
     * 
     */
    public int getStepNumber() {
        return stepNumber;
    }

    /**
     * Sets the value of the stepNumber property.
     * 
     */
    public void setStepNumber(int value) {
        this.stepNumber = value;
    }

    /**
     * Gets the value of the stepName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepName() {
        return stepName;
    }

    /**
     * Sets the value of the stepName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepName(String value) {
        this.stepName = value;
    }

    /**
     * Gets the value of the stepDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepDescription() {
        return stepDescription;
    }

    /**
     * Sets the value of the stepDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepDescription(String value) {
        this.stepDescription = value;
    }

    /**
     * Gets the value of the expectedOutcome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExpectedOutcome() {
        return expectedOutcome;
    }

    /**
     * Sets the value of the expectedOutcome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExpectedOutcome(String value) {
        this.expectedOutcome = value;
    }

    /**
     * Gets the value of the inputData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInputData() {
        return inputData;
    }

    /**
     * Sets the value of the inputData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInputData(String value) {
        this.inputData = value;
    }

    /**
     * Gets the value of the testCaseversion property.
     * 
     */
    public int getTestCaseversion() {
        return testCaseversion;
    }

    /**
     * Sets the value of the testCaseversion property.
     * 
     */
    public void setTestCaseversion(int value) {
        this.testCaseversion = value;
    }

    /**
     * Gets the value of the userDefined01 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserDefined01() {
        return userDefined01;
    }

    /**
     * Sets the value of the userDefined01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserDefined01(String value) {
        this.userDefined01 = value;
    }

    /**
     * Gets the value of the userDefined02 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserDefined02() {
        return userDefined02;
    }

    /**
     * Sets the value of the userDefined02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserDefined02(String value) {
        this.userDefined02 = value;
    }

    /**
     * Gets the value of the userDefined03 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserDefined03() {
        return userDefined03;
    }

    /**
     * Sets the value of the userDefined03 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserDefined03(String value) {
        this.userDefined03 = value;
    }

    /**
     * Gets the value of the userDefined04 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserDefined04() {
        return userDefined04;
    }

    /**
     * Sets the value of the userDefined04 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserDefined04(String value) {
        this.userDefined04 = value;
    }

    /**
     * Gets the value of the userDefined05 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserDefined05() {
        return userDefined05;
    }

    /**
     * Sets the value of the userDefined05 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserDefined05(String value) {
        this.userDefined05 = value;
    }

    /**
     * Gets the value of the testCaseVersion property.
     * 
     */
    public int getTestCaseVersion() {
        return testCaseVersion;
    }

    /**
     * Sets the value of the testCaseVersion property.
     * 
     */
    public void setTestCaseVersion(int value) {
        this.testCaseVersion = value;
    }

    /**
     * Gets the value of the stepStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStepStatus() {
        return stepStatus;
    }

    /**
     * Sets the value of the stepStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStepStatus(String value) {
        this.stepStatus = value;
    }

    /**
     * Gets the value of the testCaseStepRunId property.
     * 
     */
    public int getTestCaseStepRunId() {
        return testCaseStepRunId;
    }

    /**
     * Sets the value of the testCaseStepRunId property.
     * 
     */
    public void setTestCaseStepRunId(int value) {
        this.testCaseStepRunId = value;
    }

    /**
     * Gets the value of the actualResults property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getActualResults() {
        return actualResults;
    }

    /**
     * Sets the value of the actualResults property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setActualResults(String value) {
        this.actualResults = value;
    }

    /**
     * Gets the value of the stepUdfs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the stepUdfs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStepUdfs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserDefinedFieldArray }
     * 
     * 
     */
    public List<UserDefinedFieldArray> getStepUdfs() {
        if (stepUdfs == null) {
            stepUdfs = new ArrayList<UserDefinedFieldArray>();
        }
        return this.stepUdfs;
    }

}
