
package com.qmetry.webservices;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestSuiteExecution complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestSuiteExecution">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="testSuiteId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testSuiteName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testSuiteUdfs" type="{http://www.wso2.org/php/xsd}UserDefinedFieldArray"/>
 *         &lt;element name="executionStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="platformExecutions" type="{http://www.wso2.org/php/xsd}TestSuitePlatformExecutions"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestSuiteExecution", propOrder = {
    "testSuiteId",
    "testSuiteName",
    "testSuiteUdfs",
    "executionStatus",
    "platformExecutions"
})
public class TestSuiteExecution {

    protected int testSuiteId;
    @XmlElement(required = true)
    protected String testSuiteName;
    @XmlElement(required = true)
    protected UserDefinedFieldArray testSuiteUdfs;
    @XmlElement(required = true)
    protected String executionStatus;
    @XmlElement(required = true)
    protected TestSuitePlatformExecutions platformExecutions;

    /**
     * Gets the value of the testSuiteId property.
     * 
     */
    public int getTestSuiteId() {
        return testSuiteId;
    }

    /**
     * Sets the value of the testSuiteId property.
     * 
     */
    public void setTestSuiteId(int value) {
        this.testSuiteId = value;
    }

    /**
     * Gets the value of the testSuiteName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestSuiteName() {
        return testSuiteName;
    }

    /**
     * Sets the value of the testSuiteName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestSuiteName(String value) {
        this.testSuiteName = value;
    }

    /**
     * Gets the value of the testSuiteUdfs property.
     * 
     * @return
     *     possible object is
     *     {@link UserDefinedFieldArray }
     *     
     */
    public UserDefinedFieldArray getTestSuiteUdfs() {
        return testSuiteUdfs;
    }

    /**
     * Sets the value of the testSuiteUdfs property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserDefinedFieldArray }
     *     
     */
    public void setTestSuiteUdfs(UserDefinedFieldArray value) {
        this.testSuiteUdfs = value;
    }

    /**
     * Gets the value of the executionStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionStatus() {
        return executionStatus;
    }

    /**
     * Sets the value of the executionStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionStatus(String value) {
        this.executionStatus = value;
    }

    /**
     * Gets the value of the platformExecutions property.
     * 
     * @return
     *     possible object is
     *     {@link TestSuitePlatformExecutions }
     *     
     */
    public TestSuitePlatformExecutions getPlatformExecutions() {
        return platformExecutions;
    }

    /**
     * Sets the value of the platformExecutions property.
     * 
     * @param value
     *     allowed object is
     *     {@link TestSuitePlatformExecutions }
     *     
     */
    public void setPlatformExecutions(TestSuitePlatformExecutions value) {
        this.platformExecutions = value;
    }

}
