
package com.qmetry.webservices;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestSuitePlatformExecution complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestSuitePlatformExecution">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="platformId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="platformExecutionId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="platformName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionStartTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="executionEndTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="platformAttributes" type="{http://www.wso2.org/php/xsd}PlatformAttributes"/>
 *         &lt;element name="testCaseExecutions" type="{http://www.wso2.org/php/xsd}TestCaseExecutions"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestSuitePlatformExecution", propOrder = {
    "platformId",
    "platformExecutionId",
    "platformName",
    "executionStatus",
    "executionStartTime",
    "executionEndTime",
    "platformAttributes",
    "testCaseExecutions"
})
public class TestSuitePlatformExecution {

    protected int platformId;
    protected int platformExecutionId;
    @XmlElement(required = true)
    protected String platformName;
    @XmlElement(required = true)
    protected String executionStatus;
    @XmlElement(required = true)
    protected String executionStartTime;
    @XmlElement(required = true)
    protected String executionEndTime;
    @XmlElement(required = true)
    protected PlatformAttributes platformAttributes;
    @XmlElement(required = true)
    protected TestCaseExecutions testCaseExecutions;

    /**
     * Gets the value of the platformId property.
     * 
     */
    public int getPlatformId() {
        return platformId;
    }

    /**
     * Sets the value of the platformId property.
     * 
     */
    public void setPlatformId(int value) {
        this.platformId = value;
    }

    /**
     * Gets the value of the platformExecutionId property.
     * 
     */
    public int getPlatformExecutionId() {
        return platformExecutionId;
    }

    /**
     * Sets the value of the platformExecutionId property.
     * 
     */
    public void setPlatformExecutionId(int value) {
        this.platformExecutionId = value;
    }

    /**
     * Gets the value of the platformName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlatformName() {
        return platformName;
    }

    /**
     * Sets the value of the platformName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlatformName(String value) {
        this.platformName = value;
    }

    /**
     * Gets the value of the executionStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionStatus() {
        return executionStatus;
    }

    /**
     * Sets the value of the executionStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionStatus(String value) {
        this.executionStatus = value;
    }

    /**
     * Gets the value of the executionStartTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionStartTime() {
        return executionStartTime;
    }

    /**
     * Sets the value of the executionStartTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionStartTime(String value) {
        this.executionStartTime = value;
    }

    /**
     * Gets the value of the executionEndTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionEndTime() {
        return executionEndTime;
    }

    /**
     * Sets the value of the executionEndTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionEndTime(String value) {
        this.executionEndTime = value;
    }

    /**
     * Gets the value of the platformAttributes property.
     * 
     * @return
     *     possible object is
     *     {@link PlatformAttributes }
     *     
     */
    public PlatformAttributes getPlatformAttributes() {
        return platformAttributes;
    }

    /**
     * Sets the value of the platformAttributes property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlatformAttributes }
     *     
     */
    public void setPlatformAttributes(PlatformAttributes value) {
        this.platformAttributes = value;
    }

    /**
     * Gets the value of the testCaseExecutions property.
     * 
     * @return
     *     possible object is
     *     {@link TestCaseExecutions }
     *     
     */
    public TestCaseExecutions getTestCaseExecutions() {
        return testCaseExecutions;
    }

    /**
     * Sets the value of the testCaseExecutions property.
     * 
     * @param value
     *     allowed object is
     *     {@link TestCaseExecutions }
     *     
     */
    public void setTestCaseExecutions(TestCaseExecutions value) {
        this.testCaseExecutions = value;
    }

}
