
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestSuiteRunDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestSuiteRunDetails">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="platform" type="{http://www.wso2.org/php/xsd}TestSuiteRunByPlatform"/>
 *         &lt;element name="details" type="{http://www.wso2.org/php/xsd}TestCaseRunDetails" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestSuiteRunDetails", propOrder = {
    "platform",
    "details"
})
public class TestSuiteRunDetails {

    @XmlElement(required = true)
    protected TestSuiteRunByPlatform platform;
    protected List<TestCaseRunDetails> details;

    /**
     * Gets the value of the platform property.
     * 
     * @return
     *     possible object is
     *     {@link TestSuiteRunByPlatform }
     *     
     */
    public TestSuiteRunByPlatform getPlatform() {
        return platform;
    }

    /**
     * Sets the value of the platform property.
     * 
     * @param value
     *     allowed object is
     *     {@link TestSuiteRunByPlatform }
     *     
     */
    public void setPlatform(TestSuiteRunByPlatform value) {
        this.platform = value;
    }

    /**
     * Gets the value of the details property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the details property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDetails().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TestCaseRunDetails }
     * 
     * 
     */
    public List<TestCaseRunDetails> getDetails() {
        if (details == null) {
            details = new ArrayList<TestCaseRunDetails>();
        }
        return this.details;
    }

}
