
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="projectName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="projectDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="releaseName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="releaseDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="targetReleaseDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="buildName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="buildDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="targetBuildDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="roleIds" type="{http://www.w3.org/2001/XMLSchema}int" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="userIds" type="{http://www.w3.org/2001/XMLSchema}int" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="copySampleData" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "token",
    "projectName",
    "projectDesc",
    "releaseName",
    "releaseDesc",
    "targetReleaseDate",
    "buildName",
    "buildDesc",
    "targetBuildDate",
    "roleIds",
    "userIds",
    "copySampleData"
})
@XmlRootElement(name = "createProject")
public class CreateProject {

    @XmlElement(required = true)
    protected String token;
    @XmlElement(required = true)
    protected String projectName;
    @XmlElement(required = true)
    protected String projectDesc;
    @XmlElement(required = true)
    protected String releaseName;
    @XmlElement(required = true)
    protected String releaseDesc;
    @XmlElement(required = true)
    protected String targetReleaseDate;
    @XmlElement(required = true)
    protected String buildName;
    @XmlElement(required = true)
    protected String buildDesc;
    @XmlElement(required = true)
    protected String targetBuildDate;
    @XmlElement(type = Integer.class)
    protected List<Integer> roleIds;
    @XmlElement(type = Integer.class)
    protected List<Integer> userIds;
    protected int copySampleData;

    /**
     * Gets the value of the token property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToken() {
        return token;
    }

    /**
     * Sets the value of the token property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToken(String value) {
        this.token = value;
    }

    /**
     * Gets the value of the projectName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * Sets the value of the projectName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProjectName(String value) {
        this.projectName = value;
    }

    /**
     * Gets the value of the projectDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProjectDesc() {
        return projectDesc;
    }

    /**
     * Sets the value of the projectDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProjectDesc(String value) {
        this.projectDesc = value;
    }

    /**
     * Gets the value of the releaseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReleaseName() {
        return releaseName;
    }

    /**
     * Sets the value of the releaseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReleaseName(String value) {
        this.releaseName = value;
    }

    /**
     * Gets the value of the releaseDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReleaseDesc() {
        return releaseDesc;
    }

    /**
     * Sets the value of the releaseDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReleaseDesc(String value) {
        this.releaseDesc = value;
    }

    /**
     * Gets the value of the targetReleaseDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTargetReleaseDate() {
        return targetReleaseDate;
    }

    /**
     * Sets the value of the targetReleaseDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTargetReleaseDate(String value) {
        this.targetReleaseDate = value;
    }

    /**
     * Gets the value of the buildName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBuildName() {
        return buildName;
    }

    /**
     * Sets the value of the buildName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBuildName(String value) {
        this.buildName = value;
    }

    /**
     * Gets the value of the buildDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBuildDesc() {
        return buildDesc;
    }

    /**
     * Sets the value of the buildDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBuildDesc(String value) {
        this.buildDesc = value;
    }

    /**
     * Gets the value of the targetBuildDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTargetBuildDate() {
        return targetBuildDate;
    }

    /**
     * Sets the value of the targetBuildDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTargetBuildDate(String value) {
        this.targetBuildDate = value;
    }

    /**
     * Gets the value of the roleIds property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the roleIds property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRoleIds().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getRoleIds() {
        if (roleIds == null) {
            roleIds = new ArrayList<Integer>();
        }
        return this.roleIds;
    }

    /**
     * Gets the value of the userIds property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the userIds property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUserIds().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getUserIds() {
        if (userIds == null) {
            userIds = new ArrayList<Integer>();
        }
        return this.userIds;
    }

    /**
     * Gets the value of the copySampleData property.
     * 
     */
    public int getCopySampleData() {
        return copySampleData;
    }

    /**
     * Sets the value of the copySampleData property.
     * 
     */
    public void setCopySampleData(int value) {
        this.copySampleData = value;
    }

}
