
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="parentFolderId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testcaseName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testcaseObjective" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="component" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testcaseStatus" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="assignTo" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="preCondition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="postCondition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="priority" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="executionTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testcaseType" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="modifiedReason" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testingType" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="udfInfo" type="{http://www.wso2.org/php/xsd}KeyValuePair" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "token",
    "parentFolderId",
    "testcaseName",
    "testcaseObjective",
    "component",
    "testcaseStatus",
    "assignTo",
    "preCondition",
    "postCondition",
    "priority",
    "executionTime",
    "testcaseType",
    "modifiedReason",
    "testingType",
    "udfInfo"
})
@XmlRootElement(name = "createTestCase")
public class CreateTestCase {

    @XmlElement(required = true)
    protected String token;
    protected int parentFolderId;
    @XmlElement(required = true)
    protected String testcaseName;
    @XmlElement(required = true)
    protected String testcaseObjective;
    protected int component;
    protected int testcaseStatus;
    protected int assignTo;
    @XmlElement(required = true)
    protected String preCondition;
    @XmlElement(required = true)
    protected String postCondition;
    protected int priority;
    @XmlElement(required = true)
    protected String executionTime;
    protected int testcaseType;
    protected int modifiedReason;
    protected int testingType;
    protected List<KeyValuePair> udfInfo;

    /**
     * Gets the value of the token property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToken() {
        return token;
    }

    /**
     * Sets the value of the token property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToken(String value) {
        this.token = value;
    }

    /**
     * Gets the value of the parentFolderId property.
     * 
     */
    public int getParentFolderId() {
        return parentFolderId;
    }

    /**
     * Sets the value of the parentFolderId property.
     * 
     */
    public void setParentFolderId(int value) {
        this.parentFolderId = value;
    }

    /**
     * Gets the value of the testcaseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestcaseName() {
        return testcaseName;
    }

    /**
     * Sets the value of the testcaseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestcaseName(String value) {
        this.testcaseName = value;
    }

    /**
     * Gets the value of the testcaseObjective property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestcaseObjective() {
        return testcaseObjective;
    }

    /**
     * Sets the value of the testcaseObjective property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestcaseObjective(String value) {
        this.testcaseObjective = value;
    }

    /**
     * Gets the value of the component property.
     * 
     */
    public int getComponent() {
        return component;
    }

    /**
     * Sets the value of the component property.
     * 
     */
    public void setComponent(int value) {
        this.component = value;
    }

    /**
     * Gets the value of the testcaseStatus property.
     * 
     */
    public int getTestcaseStatus() {
        return testcaseStatus;
    }

    /**
     * Sets the value of the testcaseStatus property.
     * 
     */
    public void setTestcaseStatus(int value) {
        this.testcaseStatus = value;
    }

    /**
     * Gets the value of the assignTo property.
     * 
     */
    public int getAssignTo() {
        return assignTo;
    }

    /**
     * Sets the value of the assignTo property.
     * 
     */
    public void setAssignTo(int value) {
        this.assignTo = value;
    }

    /**
     * Gets the value of the preCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreCondition() {
        return preCondition;
    }

    /**
     * Sets the value of the preCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreCondition(String value) {
        this.preCondition = value;
    }

    /**
     * Gets the value of the postCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostCondition() {
        return postCondition;
    }

    /**
     * Sets the value of the postCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostCondition(String value) {
        this.postCondition = value;
    }

    /**
     * Gets the value of the priority property.
     * 
     */
    public int getPriority() {
        return priority;
    }

    /**
     * Sets the value of the priority property.
     * 
     */
    public void setPriority(int value) {
        this.priority = value;
    }

    /**
     * Gets the value of the executionTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExecutionTime() {
        return executionTime;
    }

    /**
     * Sets the value of the executionTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExecutionTime(String value) {
        this.executionTime = value;
    }

    /**
     * Gets the value of the testcaseType property.
     * 
     */
    public int getTestcaseType() {
        return testcaseType;
    }

    /**
     * Sets the value of the testcaseType property.
     * 
     */
    public void setTestcaseType(int value) {
        this.testcaseType = value;
    }

    /**
     * Gets the value of the modifiedReason property.
     * 
     */
    public int getModifiedReason() {
        return modifiedReason;
    }

    /**
     * Sets the value of the modifiedReason property.
     * 
     */
    public void setModifiedReason(int value) {
        this.modifiedReason = value;
    }

    /**
     * Gets the value of the testingType property.
     * 
     */
    public int getTestingType() {
        return testingType;
    }

    /**
     * Sets the value of the testingType property.
     * 
     */
    public void setTestingType(int value) {
        this.testingType = value;
    }

    /**
     * Gets the value of the udfInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the udfInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUdfInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValuePair }
     * 
     * 
     */
    public List<KeyValuePair> getUdfInfo() {
        if (udfInfo == null) {
            udfInfo = new ArrayList<KeyValuePair>();
        }
        return this.udfInfo;
    }

}
