
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="testsuiteId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="platformId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="testcaseId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="stepRuns" type="{http://www.wso2.org/php/xsd}TestCaseStepRunDetails" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "token",
    "testsuiteId",
    "platformId",
    "testcaseId",
    "status",
    "comments",
    "stepRuns"
})
@XmlRootElement(name = "executeTestCaseWithSteps")
public class ExecuteTestCaseWithSteps {

    @XmlElement(required = true)
    protected String token;
    protected int testsuiteId;
    protected int platformId;
    protected int testcaseId;
    @XmlElement(required = true)
    protected String status;
    @XmlElement(required = true)
    protected String comments;
    protected List<TestCaseStepRunDetails> stepRuns;

    /**
     * Gets the value of the token property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToken() {
        return token;
    }

    /**
     * Sets the value of the token property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToken(String value) {
        this.token = value;
    }

    /**
     * Gets the value of the testsuiteId property.
     * 
     */
    public int getTestsuiteId() {
        return testsuiteId;
    }

    /**
     * Sets the value of the testsuiteId property.
     * 
     */
    public void setTestsuiteId(int value) {
        this.testsuiteId = value;
    }

    /**
     * Gets the value of the platformId property.
     * 
     */
    public int getPlatformId() {
        return platformId;
    }

    /**
     * Sets the value of the platformId property.
     * 
     */
    public void setPlatformId(int value) {
        this.platformId = value;
    }

    /**
     * Gets the value of the testcaseId property.
     * 
     */
    public int getTestcaseId() {
        return testcaseId;
    }

    /**
     * Sets the value of the testcaseId property.
     * 
     */
    public void setTestcaseId(int value) {
        this.testcaseId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the comments property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComments() {
        return comments;
    }

    /**
     * Sets the value of the comments property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComments(String value) {
        this.comments = value;
    }

    /**
     * Gets the value of the stepRuns property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the stepRuns property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStepRuns().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TestCaseStepRunDetails }
     * 
     * 
     */
    public List<TestCaseStepRunDetails> getStepRuns() {
        if (stepRuns == null) {
            stepRuns = new ArrayList<TestCaseStepRunDetails>();
        }
        return this.stepRuns;
    }

}
