
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RequirementElements complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequirementElements">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="RequirementId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="RequirementName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="RequirementDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Component" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="RequirementStatus" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="AssignedUser" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="udfInfo" type="{http://www.wso2.org/php/xsd}KeyValuePair" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequirementElements", propOrder = {
    "requirementId",
    "requirementName",
    "requirementDescription",
    "component",
    "requirementStatus",
    "assignedUser",
    "udfInfo"
})
public class RequirementElements {

    @XmlElement(name = "RequirementId")
    protected int requirementId;
    @XmlElement(name = "RequirementName", required = true)
    protected String requirementName;
    @XmlElement(name = "RequirementDescription", required = true)
    protected String requirementDescription;
    @XmlElement(name = "Component")
    protected int component;
    @XmlElement(name = "RequirementStatus")
    protected int requirementStatus;
    @XmlElement(name = "AssignedUser")
    protected int assignedUser;
    protected List<KeyValuePair> udfInfo;

    /**
     * Gets the value of the requirementId property.
     * 
     */
    public int getRequirementId() {
        return requirementId;
    }

    /**
     * Sets the value of the requirementId property.
     * 
     */
    public void setRequirementId(int value) {
        this.requirementId = value;
    }

    /**
     * Gets the value of the requirementName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequirementName() {
        return requirementName;
    }

    /**
     * Sets the value of the requirementName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequirementName(String value) {
        this.requirementName = value;
    }

    /**
     * Gets the value of the requirementDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequirementDescription() {
        return requirementDescription;
    }

    /**
     * Sets the value of the requirementDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequirementDescription(String value) {
        this.requirementDescription = value;
    }

    /**
     * Gets the value of the component property.
     * 
     */
    public int getComponent() {
        return component;
    }

    /**
     * Sets the value of the component property.
     * 
     */
    public void setComponent(int value) {
        this.component = value;
    }

    /**
     * Gets the value of the requirementStatus property.
     * 
     */
    public int getRequirementStatus() {
        return requirementStatus;
    }

    /**
     * Sets the value of the requirementStatus property.
     * 
     */
    public void setRequirementStatus(int value) {
        this.requirementStatus = value;
    }

    /**
     * Gets the value of the assignedUser property.
     * 
     */
    public int getAssignedUser() {
        return assignedUser;
    }

    /**
     * Sets the value of the assignedUser property.
     * 
     */
    public void setAssignedUser(int value) {
        this.assignedUser = value;
    }

    /**
     * Gets the value of the udfInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the udfInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUdfInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValuePair }
     * 
     * 
     */
    public List<KeyValuePair> getUdfInfo() {
        if (udfInfo == null) {
            udfInfo = new ArrayList<KeyValuePair>();
        }
        return this.udfInfo;
    }

}
