
package com.qmetry.webservices;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TestCaseElements complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TestCaseElements">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TestCaseId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TestCaseName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TestCaseDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Component" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="Status" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="AssignedUser" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TestCasePreCondition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TestCasePostCondition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Priority" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="ExecutionTime" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TestCaseType" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="ModificationFor" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TestingType" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TestScriptName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="udfInfo" type="{http://www.wso2.org/php/xsd}KeyValuePair" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TestCaseElements", propOrder = {
    "testCaseId",
    "testCaseName",
    "testCaseDescription",
    "component",
    "status",
    "assignedUser",
    "testCasePreCondition",
    "testCasePostCondition",
    "priority",
    "executionTime",
    "testCaseType",
    "modificationFor",
    "testingType",
    "testScriptName",
    "udfInfo"
})
public class TestCaseElements {

    @XmlElement(name = "TestCaseId")
    protected int testCaseId;
    @XmlElement(name = "TestCaseName", required = true)
    protected String testCaseName;
    @XmlElement(name = "TestCaseDescription", required = true)
    protected String testCaseDescription;
    @XmlElement(name = "Component")
    protected int component;
    @XmlElement(name = "Status")
    protected int status;
    @XmlElement(name = "AssignedUser")
    protected int assignedUser;
    @XmlElement(name = "TestCasePreCondition", required = true)
    protected String testCasePreCondition;
    @XmlElement(name = "TestCasePostCondition", required = true)
    protected String testCasePostCondition;
    @XmlElement(name = "Priority")
    protected int priority;
    @XmlElement(name = "ExecutionTime")
    protected int executionTime;
    @XmlElement(name = "TestCaseType")
    protected int testCaseType;
    @XmlElement(name = "ModificationFor")
    protected int modificationFor;
    @XmlElement(name = "TestingType")
    protected int testingType;
    @XmlElement(name = "TestScriptName", required = true)
    protected String testScriptName;
    protected List<KeyValuePair> udfInfo;

    /**
     * Gets the value of the testCaseId property.
     * 
     */
    public int getTestCaseId() {
        return testCaseId;
    }

    /**
     * Sets the value of the testCaseId property.
     * 
     */
    public void setTestCaseId(int value) {
        this.testCaseId = value;
    }

    /**
     * Gets the value of the testCaseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestCaseName() {
        return testCaseName;
    }

    /**
     * Sets the value of the testCaseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestCaseName(String value) {
        this.testCaseName = value;
    }

    /**
     * Gets the value of the testCaseDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestCaseDescription() {
        return testCaseDescription;
    }

    /**
     * Sets the value of the testCaseDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestCaseDescription(String value) {
        this.testCaseDescription = value;
    }

    /**
     * Gets the value of the component property.
     * 
     */
    public int getComponent() {
        return component;
    }

    /**
     * Sets the value of the component property.
     * 
     */
    public void setComponent(int value) {
        this.component = value;
    }

    /**
     * Gets the value of the status property.
     * 
     */
    public int getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     */
    public void setStatus(int value) {
        this.status = value;
    }

    /**
     * Gets the value of the assignedUser property.
     * 
     */
    public int getAssignedUser() {
        return assignedUser;
    }

    /**
     * Sets the value of the assignedUser property.
     * 
     */
    public void setAssignedUser(int value) {
        this.assignedUser = value;
    }

    /**
     * Gets the value of the testCasePreCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestCasePreCondition() {
        return testCasePreCondition;
    }

    /**
     * Sets the value of the testCasePreCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestCasePreCondition(String value) {
        this.testCasePreCondition = value;
    }

    /**
     * Gets the value of the testCasePostCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestCasePostCondition() {
        return testCasePostCondition;
    }

    /**
     * Sets the value of the testCasePostCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestCasePostCondition(String value) {
        this.testCasePostCondition = value;
    }

    /**
     * Gets the value of the priority property.
     * 
     */
    public int getPriority() {
        return priority;
    }

    /**
     * Sets the value of the priority property.
     * 
     */
    public void setPriority(int value) {
        this.priority = value;
    }

    /**
     * Gets the value of the executionTime property.
     * 
     */
    public int getExecutionTime() {
        return executionTime;
    }

    /**
     * Sets the value of the executionTime property.
     * 
     */
    public void setExecutionTime(int value) {
        this.executionTime = value;
    }

    /**
     * Gets the value of the testCaseType property.
     * 
     */
    public int getTestCaseType() {
        return testCaseType;
    }

    /**
     * Sets the value of the testCaseType property.
     * 
     */
    public void setTestCaseType(int value) {
        this.testCaseType = value;
    }

    /**
     * Gets the value of the modificationFor property.
     * 
     */
    public int getModificationFor() {
        return modificationFor;
    }

    /**
     * Sets the value of the modificationFor property.
     * 
     */
    public void setModificationFor(int value) {
        this.modificationFor = value;
    }

    /**
     * Gets the value of the testingType property.
     * 
     */
    public int getTestingType() {
        return testingType;
    }

    /**
     * Sets the value of the testingType property.
     * 
     */
    public void setTestingType(int value) {
        this.testingType = value;
    }

    /**
     * Gets the value of the testScriptName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTestScriptName() {
        return testScriptName;
    }

    /**
     * Sets the value of the testScriptName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTestScriptName(String value) {
        this.testScriptName = value;
    }

    /**
     * Gets the value of the udfInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the udfInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUdfInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValuePair }
     * 
     * 
     */
    public List<KeyValuePair> getUdfInfo() {
        if (udfInfo == null) {
            udfInfo = new ArrayList<KeyValuePair>();
        }
        return this.udfInfo;
    }

}
